curl --request GET \
--url https://api.{environment}.corti.app/v2/interactions/ \
--header 'Authorization: Bearer <token>' \
--header 'Tenant-Name: <tenant-name>'import { CortiClient, CortiEnvironment } from "@corti/sdk";
const client = new CortiClient({
environment: CortiEnvironment.Eu,
auth: {
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET"
},
tenantName: "YOUR_TENANT_NAME"
});
const pageableResponse = await client.interactions.list();
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.interactions.list();
while (page.hasNextPage()) {
page = page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
using Corti;
var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
var items = await client.Interactions.ListAsync(new InteractionsListRequest());
await foreach (var item in items)
{
// do something with item
}
import requests
url = "https://api.{environment}.corti.app/v2/interactions/"
headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/interactions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tenant-Name: <tenant-name>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.{environment}.corti.app/v2/interactions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.{environment}.corti.app/v2/interactions/")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.asString();{
"interactions": [
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"assignedUserId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"encounter": {
"identifier": "<string>",
"status": "planned",
"type": "first_consultation",
"period": {
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z"
},
"title": "<string>"
},
"patient": {
"identifier": "<string>",
"name": "<string>",
"gender": "male",
"birthDate": "2023-11-07T05:31:56Z",
"pronouns": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"websocketUrl": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z"
}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}List All Interactions
Lists all existing interactions. Results can be filtered by encounter status and patient identifier.
Authorizations
Input your token
Headers
Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.
"base"
Query Parameters
Field used to sort interactions. Default is createdAt.
id, assignedUserId, patient, createdAt, endedAt, updatedAt Sorting order. Allowed values: [asc, desc]. Default is desc.
asc, desc "desc"
Number of interactions to return per page. Must be greater than 0. Default is 10.
Page number to retrieve. Starts at 1. For example, index=2 with pageSize=10 will return interactions 11–20. Must be greater than 0. Default is 1.
The status of the encounter. To filter on multiple statuses, pass the same parameter again.
planned, in-progress, on-hold, completed, cancelled, deleted A unique identifier for the patient.
Response
Show child attributes
Show child attributes
Was this page helpful?